## ros-indigo-sr-robot-lib 1.4.0

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(sr_robot_lib)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
    sr_utilities
    sr_hardware_interface
    sr_mechanism_model
    sr_external_dependencies
    sr_robot_msgs
    std_srvs
    diagnostic_updater
    realtime_tools
    controller_manager_msgs
    sr_self_test
    roscpp
    rostest
)
find_package(Boost REQUIRED COMPONENTS thread )
find_package(ImageMagick COMPONENTS Magick++ REQUIRED)

include_directories(include ${Boost_INCLUDE_DIRS} ${ImageMagick_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

#if you compile with "DEBUG=1 make", some debug data are going to be published
SET(debug $ENV{DEBUG})
MESSAGE(" ----- Shadow Robot EtherCAT driver configuration:")
IF(DEFINED debug)
  SET( CMAKE_CXX_FLAGS "-D DEBUG_PUBLISHER")
  MESSAGE(" [x] Debug publisher")
ELSE(DEFINED debug)
  MESSAGE(" [ ] Debug publisher")
ENDIF(DEFINED debug)
MESSAGE(" ----- ")

catkin_python_setup()

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
catkin_package(
    CATKIN_DEPENDS
        sr_utilities
        sr_hardware_interface
        sr_mechanism_model
        sr_external_dependencies
        sr_robot_msgs
        std_srvs
        diagnostic_updater
        realtime_tools
        controller_manager_msgs
        sr_self_test
        roscpp
        rospy
    INCLUDE_DIRS include
    LIBRARIES sr_hand_lib
)

add_library(sr_hand_lib
    src/UBI0.cpp
    src/biotac.cpp
    src/generic_tactiles.cpp
    src/generic_updater.cpp
    src/motor_data_checker.cpp
    src/motor_updater.cpp
    src/muscle_updater.cpp
    src/sensor_updater.cpp
    src/shadow_PSTs.cpp
    src/sr_motor_hand_lib.cpp
    src/sr_robot_lib.cpp
    src/sr_motor_robot_lib.cpp
    src/sr_muscle_hand_lib.cpp
    src/sr_muscle_robot_lib.cpp
)

target_link_libraries(sr_hand_lib ${Boost_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(sr_hand_lib ${catkin_EXPORTED_TARGETS})


###############
#     TESTS
###############
SET(jenkins $ENV{JENKINS})

IF(DEFINED jenkins)
  add_library(gcov STATIC IMPORTED)
  set_property(TARGET gcov PROPERTY IMPORTED_LOCATION /usr/lib/gcc/i486-linux-gnu/4.4/libgcov.a)
ENDIF(DEFINED jenkins)

if(COMMAND add_rostest_gtest)
  add_rostest_gtest( test_robot_lib test/sr_hand_lib.test test/test_robot_lib.cpp )
  target_link_libraries(test_robot_lib sr_hand_lib gcov ${catkin_LIBRARIES} ${GTEST_LIBRARIES} )

  add_rostest_gtest( motor_updater_test test/motor_updater.test test/motor_updater_test.cpp )
  target_link_libraries(motor_updater_test sr_hand_lib gcov ${catkin_LIBRARIES} ${GTEST_LIBRARIES} )
endif(COMMAND add_rostest_gtest)


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS sr_hand_lib
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.hpp"
   PATTERN ".svn" EXCLUDE
)

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  examples/compute_joint_0_target.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-sr-robot-lib (1.4.0-0trusty) trusty; urgency=high

  * Skip reset gains for arm controllers
  * Skip reset_gains if the controller is a trajectory controller
  * Fix diagnostics prefix
  * Add muscle hand joint prefix
  * Fix ns for controller resetting
  * Use joint_prefix in order to get the right actuator from the hardware_interface.
  * Set node handle for the tactile classes. Prefix the diagnostics.
  * Set node handle from ouside the robot_lib. Prefix the diagnostics.
  * Add ns_prefix and joint_prefix to hand devices.
  * UBI0.cpp, sr_motor_robot_lib.cpp and sr_muscle_robot_lib now match upstream
    Removed sr_bringup as calibration file is now in ros_ethercat
  * Increased UBI0 timeout to 10 seconds
  * Now mid prox data are still extracted in UBI0 update, but do not require that the from_sensor_data_type is correct (as it is in fact incorrect when there is no distal tactile sensor connected)
  * Added a 5s timeout to the tactile initialization. In case no tactiles are detected, we assume that we have UBI0 tactiles. This is a temporary solution that allow us to extract the middle, proximal and palm sensors even if no tactiles are plugged in

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-robot-lib (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-robot-lib (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 14 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-sr-robot-lib
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-indigo-catkin, ros-indigo-controller-manager-msgs, ros-indigo-diagnostic-updater, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sr-external-dependencies, ros-indigo-sr-hardware-interface, ros-indigo-sr-mechanism-model, ros-indigo-sr-robot-msgs, ros-indigo-sr-self-test, ros-indigo-sr-utilities, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/sr_robot_lib
Standards-Version: 3.9.2

Package: ros-indigo-sr-robot-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager-msgs, ros-indigo-diagnostic-updater, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sr-ethercat-hand-config, ros-indigo-sr-external-dependencies, ros-indigo-sr-hardware-interface, ros-indigo-sr-mechanism-model, ros-indigo-sr-robot-msgs, ros-indigo-sr-self-test, ros-indigo-sr-utilities, ros-indigo-std-srvs
Description: sr_robot_lib contains the robot library used in the sr_edc_ethercat_drivers. The library is used to store the incoming etherCAT messages in an easy to access format, and prepare the messages to be send through etherCAT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sr-robot-lib//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
